Skip to main content
PATCH
/
v5
/
spans
/
{span_id}
Update Span
curl --request PATCH \
  --url https://api.egp.scale.com/v5/spans/{span_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "end_timestamp": "2023-11-07T05:31:56Z",
  "output": {},
  "metadata": {},
  "status": "SUCCESS"
}
'
import requests

url = "https://api.egp.scale.com/v5/spans/{span_id}"

payload = {
"name": "<string>",
"end_timestamp": "2023-11-07T05:31:56Z",
"output": {},
"metadata": {},
"status": "SUCCESS"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
end_timestamp: '2023-11-07T05:31:56Z',
output: {},
metadata: {},
status: 'SUCCESS'
})
};

fetch('https://api.egp.scale.com/v5/spans/{span_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "trace_id": "<string>",
  "start_timestamp": "2023-11-07T05:31:56Z",
  "account_id": "<string>",
  "object": "span",
  "created_by": {
    "id": "<string>",
    "object": "identity"
  },
  "parent_id": "<string>",
  "group_id": "<string>",
  "end_timestamp": "2023-11-07T05:31:56Z",
  "input": {},
  "output": {},
  "metadata": {},
  "expected": {},
  "status": "SUCCESS",
  "type": "STANDALONE",
  "application_interaction_id": "<string>",
  "application_variant_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

x-api-key
string
header
required

Headers

x-selected-account-id
string | null

Path Parameters

span_id
string
required

Body

application/json
name
string
end_timestamp
string<date-time>
output
Output · object
metadata
Metadata · object
status
enum<string>
default:SUCCESS
Available options:
SUCCESS,
ERROR,
CANCELED

Response

Successful Response

id
string
required
name
string
required
trace_id
string
required

id for grouping traces together, uuid is recommended

Maximum string length: 256
start_timestamp
string<date-time>
required
account_id
string
required
object
string
default:span
Allowed value: "span"
created_by
Identity · object

The identity that created the entity.

parent_id
string

Reference to a parent span_id

group_id
string

Reference to a group_id

end_timestamp
string<date-time>
input
Input · object
output
Output · object
metadata
Metadata · object
expected
Expected · object
status
enum<string>
default:SUCCESS
Available options:
SUCCESS,
ERROR,
CANCELED
type
enum<string>
default:STANDALONE
Available options:
TEXT_INPUT,
TEXT_OUTPUT,
COMPLETION_INPUT,
COMPLETION,
KB_RETRIEVAL,
KB_INPUT,
RERANKING,
EXTERNAL_ENDPOINT,
PROMPT_ENGINEERING,
DOCUMENT_INPUT,
MAP_REDUCE,
DOCUMENT_SEARCH,
DOCUMENT_PROMPT,
CUSTOM,
CODE_EXECUTION,
DATA_MANIPULATION,
EVALUATION,
FILE_RETRIEVAL,
KB_ADD_CHUNK,
KB_MANAGEMENT,
GUARDRAIL,
OUTPUT_GUARDRAIL,
TRACER,
AGENT_TRACER,
AGENT_WORKFLOW,
STANDALONE
application_interaction_id
string

The interaction ID this span belongs to

application_variant_id
string

The id of the application variant this span belongs to